Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class VMAppliance.Record

    java.lang.Object
      com.xensource.xenapi.VMAppliance.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  VMAppliance

    public static class VMAppliance.Record

extends Object
implements Types.Record

Represents all the fields in a VMAppliance

Field Summary
`Set<Types.VmApplianceOperation>` | `allowedOperations` list of the operations allowed in this state.
`Map<String,Types.VmApplianceOperation>` | `currentOperations` links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`String` | `uuid` Unique identifier/object reference
`Set<VM>` | `VMs` all VMs in this appliance

Constructor Summary
`VMAppliance.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a VM_appliance.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### allowedOperations

    public Set<Types.VmApplianceOperation> allowedOperations

  list of the operations allowed in this state. This list is advisory only and the server state may have changed by the time this field is read by a client.

### currentOperations

    public Map<String,Types.VmApplianceOperation> currentOperations

  links each of the running tasks using this object (by reference) to a current_operation enum which describes the nature of the task.

### VMs

    public Set<VM> VMs

  all VMs in this appliance

Constructor Detail

### VMAppliance.Record

    public VMAppliance.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a VM_appliance.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD